You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@bahir.apache.org by lr...@apache.org on 2016/05/31 06:38:59 UTC

bahir-website git commit: [BAHIR-7] Script to publish website content to asf-site branch

Repository: bahir-website
Updated Branches:
  refs/heads/master 9b1922984 -> f2c9e160c


[BAHIR-7] Script to publish website content to asf-site branch


Project: http://git-wip-us.apache.org/repos/asf/bahir-website/repo
Commit: http://git-wip-us.apache.org/repos/asf/bahir-website/commit/f2c9e160
Tree: http://git-wip-us.apache.org/repos/asf/bahir-website/tree/f2c9e160
Diff: http://git-wip-us.apache.org/repos/asf/bahir-website/diff/f2c9e160

Branch: refs/heads/master
Commit: f2c9e160c7d576a42e54b51a5418a3ef81142e6c
Parents: 9b19229
Author: Luciano Resende <lr...@apache.org>
Authored: Mon May 30 23:38:10 2016 -0700
Committer: Luciano Resende <lr...@apache.org>
Committed: Mon May 30 23:38:10 2016 -0700

----------------------------------------------------------------------
 publish.sh | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bahir-website/blob/f2c9e160/publish.sh
----------------------------------------------------------------------
diff --git a/publish.sh b/publish.sh
new file mode 100755
index 0000000..6578986
--- /dev/null
+++ b/publish.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to you under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+cd site
+jekyll build -d _site
+COMMIT_HASH=`git rev-parse HEAD`
+cd ..
+git checkout asf-site
+rm -rf content
+mkdir content
+mv site/_site/* content
+git add content
+echo "Publishing changes from master branch $COMMIT_HASH"
+git commit -a -m "Publishing from $COMMIT_HASH"
+echo "> > >"
+echo "You are now on the asf-site branch"
+echo "Run git push origin asf-site to update the live site."
+set +e